//---------------------------------------------------------------------------
#ifndef frmschedH
#define frmschedH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "dos.h"
#include "process.h"
#include <vcl\Menus.hpp>
#include <vcl\ComCtrls.hpp>
#include "Grids.hpp"
#include <vcl\Buttons.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
	TTimer *Timer;
	TMainMenu *MainMenu;
	TMenuItem *File1;
	TMenuItem *AddEvent1;
	TMenuItem *RemoveEvent1;
	TStatusBar *StatusBar1;
	TListBox *lstboxDescription;
	TListBox *lstboxTime;
	TListBox *lstboxProgramPath;
	TLabel *lblDescription;
	TLabel *lblTime;
	TLabel *lblPath;
	TMenuItem *Exit1;
	TSpeedButton *btnExit;
	void __fastcall TimerTimer(TObject *Sender);
	
	void __fastcall FormCreate(TObject *Sender);
	
	void __fastcall AddEvent1Click(TObject *Sender);
        void __fastcall lstboxDescriptionClick(TObject *Sender);
        void __fastcall lstboxTimeClick(TObject *Sender);
        void __fastcall lstboxProgramPathClick(TObject *Sender);
        
        void __fastcall RemoveEvent1Click(TObject *Sender);
        
        void __fastcall lstboxDescriptionDblClick(TObject *Sender);
	
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall btnExitClick(TObject *Sender);
private:	// User declarations
  struct time TheTime;
  char strTheTime[10];
  void __fastcall InitializeSchedule();
  char* __fastcall ParseFileInput(char* FileInput);
  void __fastcall AddParsedStringToList(const char* ParsedString, int ParseCount);
void ExcecuteAnyPresentlyScheduledPrograms(const char* strTheTime);     

public:		// User declarations
	__fastcall TMainForm(TComponent* Owner);
        String IniFileName;
};
//---------------------------------------------------------------------------
extern TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
